<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/rehash_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/31/83  rehash_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in rehash_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: rehash_: 02/08/83 rehash_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: <span class="textRainbow_lv0_p0">(</span>reformats into a different size<span class="textRainbow_lv0_p0">)</span> a hash table of the form
<span id="L12" class="LineNr">12 </span>that is maintained by the hash_ subroutine.  In most cases, hash_
<span id="L13" class="LineNr">13 </span>calls rehash_ automatically when a table becomes too full.  For hash
<span id="L14" class="LineNr">14 </span>tables that are embedded in larger data bases, the data base
<span id="L15" class="LineNr">15 </span>maintainer must monitor the density of the hash table and call rehash_
<span id="L16" class="LineNr">16 </span>when necessary to maintain the optimal table size.  See the
<span id="L17" class="LineNr">17 </span>description of the hash_ subroutine for more information.
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>Syntax:
<span id="L21" class="LineNr">21 </span>declare rehash_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L22" class="LineNr">22 </span>call rehash_ <span class="textRainbow_lv0_p0">(</span>table_ptr<span class="textRainbow_lv0_o0">,</span> size<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>Arguments:
<span id="L26" class="LineNr">26 </span>table_ptr
<span id="L27" class="LineNr">27 </span>   is a pointer to the table to be rehashed.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L28" class="LineNr">28 </span>size
<span id="L29" class="LineNr">29 </span>   is the new size of the hash table.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>.  See the description of
<span id="L30" class="LineNr">30 </span>   hash_$opt_size.
<span id="L31" class="LineNr">31 </span>code
<span id="L32" class="LineNr">32 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  It can be:
<span id="L33" class="LineNr">33 </span>   0
<span id="L34" class="LineNr">34 </span>      table rehashed successfully.
<span id="L35" class="LineNr">35 </span>   error_table_$invalid_elsize
<span id="L36" class="LineNr">36 </span>      size is too large.
<span id="L37" class="LineNr">37 </span>   error_table_$full_hashtbl
<span id="L38" class="LineNr">38 </span>      size is not large enough to hold all the entries in the current
<span id="L39" class="LineNr">39 </span>      hash table.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
